<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-entity-management](./foundation-entity-management.md) &gt; [Users](./foundation-entity-management.users.md)

## Users class

Main class which defines the user management functionality

**Signature:**

```typescript
export declare class Users extends Users_base 
```
**Extends:** Users\_base

## Remarks

Under the hood the user-management is the entity-management micro-frontend configured for use with the `ALL_USERS` resource.

## Example

With no customisation required the user management micro-frontend can simply be dropped into the template as shown. However, it is advised to wrap it in an error boundary component.

```javascript
<user-management></user-management>
```
With this default example above the columns will be the [UsersColumnConfig](./foundation-entity-management.userscolumnconfig.md) as well as the entity and status columns. The entity and status columns are always added regardless of the other columns which are configured.

You can add in additional customisation options. For example you can define a custom column and then mix-in with the standard columns

```javascript
import { Users, UsersColumnConfig, } from '@genesislcap/foundation-entity-management';

const userColumns = [
  {
    field: 'ACCESS_TYPE',
    headerName: 'Access Type',
  },
];

// Definition inside of the html template
<user-management :columns=${() => [...UsersColumnConfig, ...userColumns]}></user-management>
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)()](./foundation-entity-management.users._constructor_.md) |  | Constructor will set the [Users.createEvent](./foundation-entity-management.users.createevent.md) [Users.deleteEvent](./foundation-entity-management.users.deleteevent.md) [Users.updateEvent](./foundation-entity-management.users.updateevent.md) to match the permissions set from the server |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [additionalCreateFields](./foundation-entity-management.users.additionalcreatefields.md) |  | any |  |
|  [additionalUpdateFields](./foundation-entity-management.users.additionalupdatefields.md) |  | any |  |
|  [allAccessType](./foundation-entity-management.users.allaccesstype.md) |  | boolean |  |
|  [columns](./foundation-entity-management.users.columns.md) |  | any | Column definition, default to the UsersColumnConfig |
|  [createEvent](./foundation-entity-management.users.createevent.md) |  | string | String which contains event if we have permission to insert user of empty string if not |
|  [deleteEvent](./foundation-entity-management.users.deleteevent.md) |  | string | String which contains event if we have permission to delete user of empty string if not |
|  [updateEvent](./foundation-entity-management.users.updateevent.md) |  | string | String which contains event if we have permission to update user of empty string if not |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [connectedCallback()](./foundation-entity-management.users.connectedcallback.md) |  |  |
|  [deepClone()](./foundation-entity-management.users.deepclone.md) |  |  |

